

Hi !

I'm not sure exactly what kind of cavity you're talking about,
but if it is defined through a polygonal surface, the marching
cube algorithm will give you both surface and volume. The original
article is Lorensen & Cline, Comp. Graph., vol.21, no. 4, '87, p163

bye, Martin.

-------------------------------------------------------------------------------
Dr. Ronald M. A. Knegtel                     Research Scientist
Dept. of Molecular Design and Informatics    Phone  : +31-412-661469
N.V. Organon, RK2340                         Fax    : +31-412-662539
P.O. Box 20  5340 BH Oss                     http://www.organon.com/
The Netherlands                     E-Mail : [email-masked]
-------------------------------------------------------------------------------